> For the complete documentation index, see [llms.txt](https://docs.alpha-lenz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alpha-lenz.com/ko/api-reference/public-api/news.md).

# News API

뉴스 기사 및 시장 업데이트에 액세스합니다.

**필요 스코프:** `read:news` 또는 `read:all`

## 뉴스 기사 목록 조회

선택적 필터링과 함께 뉴스 기사를 조회합니다.

```
GET /api/public/v1/news/articles
```

### Query Parameters

| 파라미터       | 타입      | 설명                           |
| ---------- | ------- | ---------------------------- |
| `skip`     | integer | 건너뛸 항목 수 (기본값: 0)            |
| `limit`    | integer | 반환할 최대 항목 수 (1-100, 기본값: 50) |
| `category` | string  | 카테고리별 필터링                    |
| `priority` | integer | 우선순위별 필터링 (1=높음, 2=중간, 3=낮음) |

### Headers

| 헤더         | 설명                              |
| ---------- | ------------------------------- |
| `x-locale` | 언어 코드: ko, en, ja, zh (기본값: en) |

### 요청 예시

```bash
curl -X GET "https://api.alpha-lenz.com/api/public/v1/news/articles?limit=20&category=market_move" \
     -H "X-API-Key: ak_your_key" \
     -H "x-locale: ko"
```

### 응답

```json
{
  "articles": [
    {
      "id": 123,
      "title": "Major Market Movement: Tech Stocks Rally",
      "summary": "Technology stocks led the market rally today...",
      "category": "market_move",
      "priority": 1,
      "source_url": "https://example.com/article",
      "published_at": "2024-01-15T14:30:00Z",
      "created_at": "2024-01-15T14:35:00Z"
    }
  ],
  "total": 150,
  "skip": 0,
  "limit": 20
}
```

***

## 뉴스 기사 조회

특정 뉴스 기사의 상세 정보를 조회합니다.

```
GET /api/public/v1/news/articles/{article_id}
```

### Path Parameters

| 파라미터         | 타입      | 설명       |
| ------------ | ------- | -------- |
| `article_id` | integer | 뉴스 기사 ID |

### 요청 예시

```bash
curl -X GET "https://api.alpha-lenz.com/api/public/v1/news/articles/123" \
     -H "X-API-Key: ak_your_key" \
     -H "x-locale: en"
```

### 응답

```json
{
  "id": 123,
  "title": "Major Market Movement: Tech Stocks Rally",
  "summary": "Technology stocks led the market rally today...",
  "ai_angle": "AI analysis perspective on the market movement...",
  "risk": "Key risks to watch...",
  "category": "market_move",
  "priority": 1,
  "source_url": "https://example.com/article",
  "trigger": [
    {
      "topic": "Tech Stocks",
      "sentiment": "positive"
    }
  ],
  "published_at": "2024-01-15T14:30:00Z",
  "created_at": "2024-01-15T14:35:00Z"
}
```

***

## 기사 전문 조회

뉴스 기사의 전체 콘텐츠를 조회합니다.

```
GET /api/public/v1/news/articles/{article_id}/content
```

### Path Parameters

| 파라미터         | 타입      | 설명       |
| ------------ | ------- | -------- |
| `article_id` | integer | 뉴스 기사 ID |

### 요청 예시

```bash
curl -X GET "https://api.alpha-lenz.com/api/public/v1/news/articles/123/content" \
     -H "X-API-Key: ak_your_key" \
     -H "x-locale: ko"
```

### 응답

```json
{
  "id": 123,
  "title": "Major Market Movement: Tech Stocks Rally",
  "content_type": "html",
  "full_content": "<div>Full article content here...</div>"
}
```

### 카테고리

사용 가능한 뉴스 카테고리:

| 카테고리          | 설명             |
| ------------- | -------------- |
| `eod_summary` | 장 마감 시장 요약     |
| `fed_policy`  | 연방준비제도 정책 업데이트 |
| `market_move` | 주요 시장 움직임      |
| `earnings`    | 실적 발표          |
| `breaking`    | 속보             |

### 언어 지원

`x-locale` 헤더를 사용하여 현지화된 콘텐츠를 받을 수 있습니다:

* `ko` - 한국어
* `en` - 영어 (기본값)
* `ja` - 일본어
* `zh` - 중국어
